Support » Plugin: Nimble Page Builder » Is it just me who can’t access my site after plugin update?

  • Resolved adieu

    (@adieu)


    I updated to your latest version tonight on my Hueman site. Then I could not access the site. I would get a blank page with the message:

    Parse error: syntax error, unexpected '&&' (T_BOOLEAN_AND), expecting ')' in /home2/jimbim/public_html/salishseapilot.com/wp-content/plugins/nimble-builder/inc/sektions/ccat-sektions.php on line 8250

    My webhost disabled all my plugins, then enabled all but Nimble Builder. The site is working now.

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Contributor Rocco Aliberti

    (@d4z_c0nf)

    Hi there,
    thanks for reporting the problem.
    Would you mind sharing your system info so we can try to understand what happened?
    You’ll find a summary of your system info to copy and paste in appearance > about Hueman, at the bottom of the page.
    Thank you

    Here it is.

    # SITE_URL:               https://salishseapilot.com
    # HOME_URL:               https://salishseapilot.com
    # IS MULTISITE :          No
    
    # THEME | VERSION :       Hueman | v3.4.17
    # WP VERSION :            5.1.1
    # PERMALINK STRUCTURE :   /%postname%/
    # 10 ACTIVE PLUGINS :
                              - Akismet Anti-Spam (version 4.1.1)
                              - Hueman Addons (version 2.2.4)
                              - Jetpack by WordPress.com (version 7.2)
                              - Landing Pages (version 2.7.6)
                              - Pixel Cat Lite (version 2.4.0)
                              - Press This (version 1.1.1)
                              - Raw HTML (version 1.5.1)
                              - Really Simple SSL (version 3.1.5)
                              - Ultimate Category Excluder (version 1.1)
                              - UpdraftPlus - Backup/Restore (version 1.16.10)
    
    # PHP Version:            5.4.45
    # MySQL Version:          5.6.41-84.1
    # Web Server Info:        Apache
    
    # WordPress Memory Limit: 256MB
    # PHP Memory Limit:       256M
    # PHP Upload Max Size:    64M
    # PHP Post Max Size:      64M
    # PHP Upload Max Filesize:64M
    # PHP Time Limit:         30
    # PHP Max Input Vars:     1000
    # PHP Arg Separator:      &
    # PHP Allow URL File Open:Yes
    # WP_DEBUG:               Disabled
    
    # Show On Front:          posts
    # Page On Front:          (#0)
    # Page For Posts:         (#0)
    Plugin Contributor Rocco Aliberti

    (@d4z_c0nf)

    Hi @adieu we have identified that your problem should be related to the version of PHP on your server.
    A patch is on the way. In the meantime, I would recommend asking your web host update PHP to version 7, or at least to PHP 5.6, also considering that the upcoming WordPress version (5.2) will require at least PHP 5.6.20:

    Minimum PHP Version update

    Hope this helps.

    Plugin Author Nicolas GUILLAUME

    (@nikeo)

    @adieu thanks for reporting the issue.
    It should have been fixed in version 1.6.3 of the plugin.
    Let us know if you are still having the problem. If not you can check the “resolve” checkbox at the bottom.
    Thank you

    Thanks Rocco and Nicolas,

    It was the latest version of the plugin that I updated to yesterday that caused the problem. My dilemma is that I cannot turn it on and off to test the plugin. If I activate and I get the same parse error I will have to get my host to disable the plugin so I can access the site. He asked me not to do that!

    But I will pursue the PHP issue with my host.

    PHP version has been updated to 7.1.24. I will also update to the new version of Nimble Builder that I received today. But might wait a day or two till I get some work out of the way. 🙂 Thanks for your help.

    Oh, and I better mark this resolved.

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.